> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a tag to a token



## OpenAPI

````yaml post /token/{id}/tag/{tagId}
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token/{id}/tag/{tagId}:
    post:
      tags:
        - Token Tags
      summary: Add a tag to a token
      operationId: TokenTagsController_addTagToToken
      parameters:
        - name: id
          required: true
          in: path
          description: Token ID
          schema:
            type: string
        - name: tagId
          required: true
          in: path
          description: Tag ID
          schema:
            type: number
      responses:
        '200':
          description: The tag has been successfully added to the token
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
        '404':
          description: Token or tag not found
        '409':
          description: Tag is already applied to this token
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````